### 5.1.7 charstr

`Syntax:`
  `charstr (` ring_name `)`
`Type:`
  string
`Purpose:`
  returns the description of the coefficient field of a ring.
`Example:`

        ring r=32003,(x,y),dp;
        charstr(r);
      ==> 32003
        ring s=0,(x,y),dp;
        charstr(s);
      ==> 0
        ring ra=(7,a),(x,y),dp;
        minpoly=a^3+a+1;
        charstr(ra);
      ==> 7,a
        ring rp=(49,a),(x,y),dp;
        charstr(rp);
      ==> 49,a
        ring rr=real,x,dp;
        charstr(rr);
      ==> real

See char; ordstr; ring; varstr.

User manual for Singular version 4-0-3, 2016, generated by texi2html.